import bb.cascades 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("General Settings") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _general.cancelSettings()
                }
            }
            
            acceptAction: ActionItem {
                title: qsTr("Save") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _general.saveSettings()
                }
            
            }
        }// titleBar
        
        ScrollView {
            Container {
                
                topPadding: 10
                leftPadding: 10
                rightPadding: 10
                
                Header {
                    title: qsTr("Lock Screen Type")
                }
                
                DropDown {
                    objectName: "dd_lockscreen_type"
                    title: qsTr("Type")
                    Option {
                        text: qsTr("Button")
                    }
                    Option {
                        text: qsTr("Pattern")
                    }
                }
                
                Header {
                    title: qsTr("Inactivity")
                }

                DropDown {
                    objectName: "dd_lock"
                    title: qsTr("Lock Device After")
                    Option {
                        text: qsTr("Always lock")
                    }
                    Option {
                        text: qsTr("1 Minute")
                    }
                    Option {
                        text: qsTr("2 Minutes")
                    }
                    Option {
                        text: qsTr("3 Minutes")
                    }
                    Option {
                        text: qsTr("4 Minutes")
                    }
                    Option {
                        text: qsTr("5 Minutes")
                    }
                    Option {
                        text: qsTr("10 Minutes")
                    }
                    Option {
                        text: qsTr("15 Minutes")
                    }
                    Option {
                        text: qsTr("20 Minutes")
                    }
                    Option {
                        text: qsTr("25 Minutes")
                    }
                    Option {
                        text: qsTr("30 Minutes")
                    }
                    Option {
                        text: qsTr("35 Minutes")
                    }
                    Option {
                        text: qsTr("40 Minutes")
                    }
                    Option {
                        text: qsTr("45 Minutes")
                    }
                    Option {
                        text: qsTr("1 Hour")
                    }
                }

                Header {
                    title: qsTr("Launch Application After Unlocked")
                }
                
                DropDown {
                    objectName: "dd_launch_app"
                    title: qsTr("Application")
                    
                    Option {
                        text: qsTr("None")
                    }
                    Option {
                        text: qsTr("BlackBerry Assistant")
                    }
                    Option {
                        text: qsTr("BlackBerry Hub")
                    }
                    Option {
                        text: qsTr("Contacts")
                    }
                    Option {
                        text: qsTr("Calendar")
                    }
                    Option {
                        text: qsTr("Facebook")
                    }
                    Option {
                        text: qsTr("Foursquare")
                    }
                    Option {
                        text: qsTr("LinkedIn")
                    }
                    Option {
                        text: qsTr("Twitter")
                    }
                    Option {
                        text: qsTr("Phone")
                    }
                    Option {
                        text: qsTr("Weather")
                    }
                
                }
                Divider {
                
                }
                
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Make the unlock screen prompt full screen")
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "tb_fullscreen"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Label {
                    text: qsTr("This will cover most of the screen so the user can't see the running application.")
                    multiline: true
                }
                
                
                Divider {
                    
                }
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Lock on System Reset")
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "tb_lock_reset"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Label {
                    text: qsTr("If you do not have a device password set then enable Lock on System Reset.")
                    multiline: true
                }
                Divider {
                    
                }
                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Show Phone icon on Lock Screen")
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "tb_show_phone_icon"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                Label {
                    text: qsTr("Allows you to make phone calls when the device is locked")
                    multiline: true
                }
    
                Divider {
                
                }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Do not lock when i'm on the phone")
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "tb_donot_lock_phone"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
                
                Divider {
                
                }

                Container {
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Show clock")
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        id: tb_show_clock
                        objectName: "tb_show_clock"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            container_24h_clock.setVisible(checked)
                        }
                    }
                }
    
                Divider {
                    
                }
                
                Container {
                    id: container_24h_clock
                    visible: tb_show_clock.checked
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Show 24 hour clock")
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        objectName: "tb_show_24h_clock"
                        horizontalAlignment: HorizontalAlignment.Right
                    }
                }
    
    
            }
        }
        
    } // page
} // sheet