/* Copyright (c) 2012 Research In Motion Limited.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
import bb.cascades 1.0

// The application introduction recipe that sets up a view with some text
// explaining the purpose of the application and a small example UI
// showing a couple of Cascades Core Controls.
Page {
    Container {
        ScrollView {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }


            Container {
	            topPadding: 10
	            bottomPadding: topPadding
	            leftPadding: 10
	            rightPadding: leftPadding
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    content.flags: TextContentFlag.ActiveText
                    
                    text: "SecureX 2.0\nCopyright © 2015 Toysoft Inc.\nAll Rights Reserved.\nwww.toysoft.ca\nsupport@toysoft.ca"
                    horizontalAlignment: HorizontalAlignment.Center
                }// Label
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    content.flags: TextContentFlag.ActiveText
                    
                    text: "Translators:\n\nChinese, German and Spanish by Translationsgroupbbdev@gmail.com\nVietnamese by Do Manh80\nCzech by Tomáš Tihlařík @werionae\nFrench by Michael Halimi"
                }// Label

                Divider {
                    
                }
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("SecureX is designed to quickly unlock your device with your 4 digit passcode or using Pattern Lock")
                }

                Label {
	                multiline: true
	                textFormat: TextFormat.Html
                    text: qsTr("SecureX will lock your device until you enter your correct Passcode or Pattern.  Without the correct Passcode or Pattern you will be locked out.")
                }

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("You can set to lock the device whenever the screen turns off or when a timer expires.")
                }
                
                Divider {
                    
                }

                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("Passcode")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("Your passcode must be a 4 digit code from 0 - 9.  Optionally you can set a Security Question to unlock the device and reset your passcode.")
                }

                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("Pattern")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("Your Pattern must be 4 to 64 long.")
                }

                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("System Device Password")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("If you have enabled the Device Password and when the system locks the device SecureX will not prompt you for your Passcode or Pattern.")
                }

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("We recommend you to set the Device Password to 15 minutes or longer in the Settings->Security Privacy app.  This will make SecureX the default device lock.")
                }

                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("System Reset")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("If you DO NOT enable the system device password then you should enable <b>Lock on System Reset</b> in the SecureX settings.  This will lock the device whenever the device resets.  Note that there is a delay when locking after a System Reset.")
                }

                Label {
                    textFormat: TextFormat.Html
                    text: qsTr("Additional Security Note")
                    textStyle.fontSize: FontSize.Large
                    textStyle.color: Color.Cyan
                }
                
                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("Due to the limitation of APIs giving to developers SecureX will first prompt you to select the Unlock button.  After that you will be prompted for your Passcode or Pattern.")
                }

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("You will be able to see the current running application's screen.  To make the unlock screen full screen you can set this in SecureX General settings screen.")
                }

                Label {
                    multiline: true
                    textFormat: TextFormat.Html
                    text: qsTr("If you want to be more protective you can switch to the main HomeScreen (the House) page and then turn off the device.")
                }

            Label {
                multiline: true
                textFormat: TextFormat.Html
                content.flags: TextContentFlag.ActiveText
                
                text: qsTr("<b>Application Permission</b>\n\nIf you had denied any Application Permissions for the application it may not work properly.  To set the Permissions run the Settings application, select Security and Privacy, select Application Permissions and select SecureX and set all to Allow.")
                }

                Header {
                    title: qsTr("Partnership Application")
                }
                Container {
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight

                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    
                    
                    ImageView {
                        imageSource: "asset:///images/ic_protectme_big.png"
                        onTouch: {
                            protectme.trigger("bb.action.OPEN")
                        }
                    }
                    Container {
                        Label {
                            text: "ProtectMe by CellNinja"
                        }
                        Label {
                            text: "Get it from BlackBerry World"
                        }
                        onTouch: {
                                protectme.trigger("bb.action.OPEN")
                        }
                    }
                    
                }
                Label {
                    text: qsTr("ProtectMe offers the fastest way to password protect your phone in case it is lost or stolen.")
                    multiline: true
                }
                Divider {
                    
                }

	        }// Container
	
	    }// RecipeContainer
	}

	    actions: [

            ActionItem {
                title: qsTr("Add Review")
                ActionBar.placement: ActionBarPlacement.OnBar
                imageSource: "asset:///images/ic_feedback.png"
                
                onTriggered: {
                    addreview.trigger("bb.action.OPEN")
                }
            }
	        ,

	        ActionItem {
	            title: "ProtectMe"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            imageSource: "asset:///images/ic_protectme.png"
	             
	            onTriggered: {
                    protectme.trigger("bb.action.OPEN")
	            }
	        }
	        
	    ]

	  attachedObjects: [
	    TextStyleDefinition
	    {
	      id: tsd
	      base: SystemDefaults.TextStyles.BodyText
	      fontWeight: FontWeight.Bold
	      fontSize: FontSize.Large
	
	    },

        Invocation {
            id: addreview
            query.mimeType: "application/x-bb-appworld"
            query.uri: "appworld://content/59965939"
            query.invokeActionId: "bb.action.OPEN"
        },

        Invocation {
            id: protectme
            query.mimeType: "application/x-bb-appworld"
            query.uri: "appworld://content/59962662"
            query.invokeActionId: "bb.action.OPEN"
        },

	    Invocation
	    {
	         id: invokeappworld
             query.mimeType: "application/x-bb-appworld"
             query.uri: "appworld://vendor/184"
             query.invokeActionId: "bb.action.OPEN"
	         
	     }

	  ]

    titleBar: TitleBar {
        title: "Help"

    }

}// RecipePage