import bb.cascades 1.3
import bb.cascades.pickers 1.0

Sheet
{
    
    Page {
        id: sheetModify
        
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Password Settings") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
/*            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _app.cancelSettings()
                }
            }
*/            
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _app.saveSettings()
                }
            
            }
        }// titleBar
        
        
        ScrollView {
            
            
            Container
            {
                layout: StackLayout {
                }
                leftPadding: 10.0
                rightPadding: 10.0
                
                horizontalAlignment: HorizontalAlignment.Fill
                
                Header {
                    title: qsTr("Password") + Retranslate.onLanguageChanged	            
                }
                Button {
                    text: qsTr("Create a new Password") + Retranslate.onLanguageChanged	            
                    objectName: "create_key"
                    onClicked: {
                        _app.createKey(false);
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                }
                
                Header {
                    title: qsTr("Password Recovery") + Retranslate.onLanguageChanged	            
                }
                TextField {
                    objectName: "tf_security_question"
                    hintText: qsTr("Enter security question")
                    maximumLength: 200
                }
                TextField {
                    objectName: "tf_security_answer"
                    hintText: qsTr("Enter security answer")
                    maximumLength: 200
                }
                
                
                Divider {
                
                }
                
                Container {
                    visible: false
                    layout: DockLayout {
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 10.0
                    Label {
                        text: qsTr("Use custom wallpaper")
                        horizontalAlignment: HorizontalAlignment.Left
                    }
                    ToggleButton {
                        id: tb_use_wallpaper
                        objectName: "tb_use_wallpaper"
                        horizontalAlignment: HorizontalAlignment.Right
                        onCheckedChanged: {
                            container_custom_pic.setVisible(checked)
//                            _app.save_app_setting(1, "", checked)
                        
                        }
                        checked: false
                    }
                }
                
                Container {
                    visible: tb_use_wallpaper.checked
                    id: container_custom_pic
                    leftPadding: 10
                    rightPadding: 10
                    topPadding: 10
                    layout: StackLayout {
                        orientation: LayoutOrientation.TopToBottom
                    
                    }
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Center
                    
                    Button {
                        horizontalAlignment: HorizontalAlignment.Center
                        id: select_button2
                        text: qsTr("Browse for a picture") + Retranslate.onLanguageChanged	            
                        onClicked: {
                            filePicker.open();
                        }
                        objectName: "folder_button"
                    
                    }
                    
                    
                    Container {
                        verticalAlignment: VerticalAlignment.Center
                        horizontalAlignment: HorizontalAlignment.Center
                        ImageView {
                            id: img_wallpaper
                            objectName: "img_lockscreen"
                            preferredWidth: 320
                            preferredHeight: 320
                            scalingMethod: ScalingMethod.AspectFit
                            verticalAlignment: VerticalAlignment.Center
                        
                        }
                    }
                    
                    Container {
                        leftPadding: 10
                        layout: StackLayout {
                        
                        }
                        verticalAlignment: VerticalAlignment.Center
                        horizontalAlignment: HorizontalAlignment.Fill
                        
                        topPadding: 10.0
                        visible: false
                        TextField {
                            id: tf_wallpaper
                            horizontalAlignment: HorizontalAlignment.Fill
                            text: " "
                            objectName: "tf_wallpaper"
                            enabled: false
                            visible: false
                        }
                    
                    }
                
                
                } // custom lock screen pic
            
            
            
            
            }
        } // scroll view
    } // page
    
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            type: FileType.Picture
            filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
            title: qsTr("Select a Picture.") + Retranslate.onLanguageChanged	            
            directories : [ "/accounts/1000/shared/camera"]
            onFileSelected: {
                _app.show_wallpaper(selectedFiles, true)
                tf_wallpaper.setText(selectedFiles)
//                _app.save_app_setting(0, selectedFiles, false)
            }
            viewMode: FilePickerViewMode.GridView
        }
    
    ]
        
        
} // sheet