import bb.cascades 1.4


Page {
    Container {
        layout: DockLayout {
        }
        
        Container {
            ImageView {            
                objectName: "img_background"
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
                loadEffect: ImageViewLoadEffect.None
                scalingMethod: ScalingMethod.AspectFill
                preferredHeight: 1440
                preferredWidth: 1440
            }
        }
        
        // incorrect password
        Container {
            objectName: "container_incorrect_pw"
            background: Color.DarkRed
            preferredHeight: 1440
            preferredWidth: 1440 
            visible: false                
        }
        
        // title
        Container {
            horizontalAlignment: HorizontalAlignment.Center
            
            Label {
                objectName: "lb_title2"
                text: qsTr("Enter Pattern")
                textStyle.fontSize: FontSize.PointValue
                textStyle.fontSizeValue: 10.0
                textStyle.color: Color.create(_pattern.themeColor)
            }  
        
        }

        // title
        Container {
            horizontalAlignment: HorizontalAlignment.Left
            leftPadding: 5
            
            Label {
                text: qsTr("")
                textStyle.fontSize: FontSize.PointValue
                textStyle.fontSizeValue: 10.0
                textStyle.color: Color.create(_pattern.themeColor)
                objectName: "lb_time"
            }  
        
        }
        
        // for tall screens eg: z10
        Container {
            visible: false
            topPadding: 100
            bottomPadding: 100
            objectName: "container_tall_screen"
            horizontalAlignment: HorizontalAlignment.Center
            Label {
                objectName: "lb_time_large_screen"
                text: ""
                textStyle.fontSize: FontSize.PointValue
                textStyle.fontSizeValue: 18.0
                textStyle.color: Color.create(_pattern.themeColor)
            }
        }



        Container
        {
            property int downX: 0                
            property int downY: 0
            
            objectName: "container_widget"                
            layout: AbsoluteLayout {
            
            }
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            
            onTouch: {
                 if (event.isUp() || event.isCancel()) 
                 {
                     _pattern.verify_pattern_code()   
                 }
            }

        
        } // container

    
        Container {
            leftPadding: 20
            rightPadding: 20
            bottomPadding: 20
            horizontalAlignment: HorizontalAlignment.Center
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight

            }
            verticalAlignment: VerticalAlignment.Bottom
            Button {
                visible: false
                text: qsTr("Phone")
                objectName: "bt_phone"
                onClicked: {
                    _pattern.make_emergency_call()

                }
            }
            Button {
                visible: false
                text: qsTr("Help")
                objectName: "bt_help"
                onClicked: {
                    _pattern.recover_password(0)
                }
            }
            Button {
                text: qsTr("Cancel")
                objectName: "bt_cancel"
                onClicked: {
                    _pattern.cancel_createkey()
                }
            }
        }

    
    } // container
} // page


