import bb.cascades 1.0

Dialog {
    id: passDialog
    Container {
        preferredWidth: 1440
        preferredHeight: 1440

        background: Color.DarkGray        
        layout: DockLayout {
        }

        verticalAlignment: VerticalAlignment.Center
        Container {
            layout: DockLayout {
            }
            
            
            // for body of the dialog
            Container {
                topPadding: 5
                leftPadding: 15
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                Container {
                    Label {
                        text: qsTr("Password Recovery")
                        textStyle.base: SystemDefaults.TextStyles.TitleText
                        textStyle.fontSize: FontSize.Large
                        textStyle.color: Color.White

                    }
                    Divider {
                    
                    }
                }
            }   
            Container {
                topPadding: 200
                leftPadding: 10
                rightPadding: 10
                Label {
                    text: qsTr("Security Question") + Retranslate.onLanguageChanged	            
                    textStyle.base: SystemDefaults.TextStyles.BodyText
                    textStyle.color: Color.White
                }
                
                Container {
                    topPadding: 20
                    horizontalAlignment: HorizontalAlignment.Fill
                    TextArea {
                        objectName: "ta_question"
                        id: pass
                        horizontalAlignment: HorizontalAlignment.Fill
                        maximumLength: 512
                        textStyle.color: Color.Red
                    }
                }
                
                Container {
                    topPadding: 20
                    TextField {
                        id: confirmPass
                        objectName: "tf_answer"
                        hintText: qsTr("Enter your security answer") + Retranslate.onLanguageChanged	            
                        input {
                            submitKey: SubmitKey.Connect; 
                            onSubmitted: {
                                okButton.clicked()
                            }
                        }
                        
                        horizontalAlignment: HorizontalAlignment.Fill
                    }
                }
                
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    topPadding: 70
                    
                    horizontalAlignment: HorizontalAlignment.Center
                    Button {
                        id: cancelButton
                        text: qsTr("Cancel") + Retranslate.onLanguageChanged	            
                        onClicked: {
                            passDialog.close()
//                            _security.close_security_dialog()
                        }
                    }                        
                    Button {
                        id: okButton
                        text: qsTr("OK") + Retranslate.onLanguageChanged	            
                        onClicked: {
                            if(confirmPass.text == "")
                            {
                                confirmPass.requestFocus()
                            }
                            else
                            {
                                _security.validate_security_question(confirmPass.text);
//                                passDialog.close()
                            }
                        }
                    
                    }
                }
            }
        
        }
    
    
    }
    onCreationCompleted: {
        confirmPass.requestFocus()
    }
}