import bb.cascades 1.4

    
    Page {
        Container {
            layout: DockLayout {
            }
            
            Container {
                ImageView {            
                    objectName: "img_background"
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                    loadEffect: ImageViewLoadEffect.None
                    scalingMethod: ScalingMethod.AspectFill
                    preferredHeight: 1440
                    preferredWidth: 1440
                }
            }

            // incorrect password
            Container {
                objectName: "container_incorrect_pw"
                background: Color.DarkRed
                preferredHeight: 1440
                preferredWidth: 1440 
                visible: false                
            }
    
            // title
            Container {
                horizontalAlignment: HorizontalAlignment.Left
                leftPadding: 5
                
                Label {
                    text: qsTr("")
                    textStyle.fontSize: FontSize.PointValue
                    textStyle.fontSizeValue: 10.0
                    textStyle.color: Color.create(_app.themeColor)
                    objectName: "lb_time"
                }  
            
            }

            // custom picture layer            
            Container {
                layout: StackLayout {
                
                }
                
                horizontalAlignment: HorizontalAlignment.Center
//                preferredHeight: 1440
                preferredWidth: 1440 


                // title
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    
                    Label {
                        objectName: "lb_title"
                        text: qsTr("")
                        textStyle.fontSize: FontSize.PointValue
                        textStyle.fontSizeValue: 10.0
                        textStyle.color: Color.create(_app.themeColor)
                    }  
                
                }
                
                // password status
                Container {
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    
                    
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small.png"
                        objectName: "img_status1"
                        preferredHeight: _app.icon_keypad_wid_hi() / 4
                        preferredWidth: _app.icon_keypad_wid_hi() / 4
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small.png"
                        objectName: "img_status2"
                        preferredHeight: _app.icon_keypad_wid_hi() / 4
                        preferredWidth: _app.icon_keypad_wid_hi() / 4
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small.png"
                        objectName: "img_status3"
                        preferredHeight: _app.icon_keypad_wid_hi() / 4
                        preferredWidth: _app.icon_keypad_wid_hi() / 4
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    ImageView {
                        objectName: "img_status4"
                        imageSource: "asset:///images/keypads/720/white_circle_small.png"
                        preferredHeight: _app.icon_keypad_wid_hi() / 4
                        preferredWidth: _app.icon_keypad_wid_hi() / 4
                    }
                
                }
                
                // for tall screens eg: z10
                Container {
                    visible: false
                    topPadding: 100
                    bottomPadding: 100
                    objectName: "container_tall_screen"
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        objectName: "lb_time_large_screen"
                        text: ""
                        textStyle.fontSize: FontSize.PointValue
                        textStyle.fontSizeValue: 18.0
                        textStyle.color: Color.create(_app.themeColor)
                    }
                }

                
                
                Container {
                    objectName: "container_custom_pics"
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    
                    
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageButton {
                        objectName: "img_key1"
                       // defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                       opacity: _app.themeOpacity;
                        enabled: false
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    ImageButton {
                        objectName: "img_key2"
                       // defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                        opacity: _app.themeOpacity;
                        enabled: false
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    ImageButton {
                        objectName: "img_key3"
                      //  defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                        opacity: _app.themeOpacity;
                        enabled: false
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                }
                
                Container {
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageButton {
                        objectName: "img_key4"
                        //defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                        enabled: false
                        opacity: _app.themeOpacity;
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    ImageButton {
                        objectName: "img_key5"
                       // defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                        enabled: false
                        opacity: _app.themeOpacity;
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    ImageButton {
                        objectName: "img_key6"
                       // defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                        enabled: false
                        opacity: _app.themeOpacity;
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                }
                
                Container {
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageButton {
                        objectName: "img_key7"
                      //  defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                        enabled: false
                        opacity: _app.themeOpacity;
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    ImageButton {
                        objectName: "img_key8"
                       // defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                        enabled: false
                        opacity: _app.themeOpacity;
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    ImageButton {
                        objectName: "img_key9"
                        //defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                        enabled: false
                        opacity: _app.themeOpacity;
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                }
                
                Container {
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageButton {
                        defaultImageSource: "asset:///images/keypads/720/white_circle_filler.png"
                        enabled: false
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    ImageButton {
                        objectName: "img_key0"
                       // defaultImageSource: "asset:///images/keypads/720/key_blank.png"
                        enabled: false
                        opacity: _app.themeOpacity;
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()                    
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    
                    ImageButton {
                        defaultImageSource: "asset:///images/keypads/720/white_circle_filler.png"
                        enabled: false                    
                    }
                }
                
            } // picture layer

    
    


            // keypad layer            
            Container {
                layout: StackLayout {
        
                }
                
                objectName: "container_main"
               // background: Color.Black
                horizontalAlignment: HorizontalAlignment.Center
//                preferredHeight: 1440
                preferredWidth: 1440 
                    
                // toolbar
                Container {
                    
                }


                
                // title
                Container {
                    horizontalAlignment: HorizontalAlignment.Center

                    Label {
                            objectName: "lb_title2"
                          text: qsTr("Enter Passcode")
                            textStyle.fontSize: FontSize.PointValue
                            textStyle.fontSizeValue: 10.0
                            textStyle.color: Color.create(_app.themeColor)
                        }  
                  
                }
                
                // password status
                Container {
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
        
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    
                    
                    ImageView {
                        id: img_status1
                        imageSource: "asset:///images/keypads/720/white_circle_small.png"
                        objectName: "img_status11"
                        preferredHeight: _app.icon_keypad_wid_hi() / 4
                        preferredWidth: _app.icon_keypad_wid_hi() / 4
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
        
                    ImageView {
                        id: img_status2
                        imageSource: "asset:///images/keypads/720/white_circle_small.png"
                        objectName: "img_status22"
                        preferredHeight: _app.icon_keypad_wid_hi() / 4
                        preferredWidth: _app.icon_keypad_wid_hi() / 4
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
        
                    ImageView {
                        id: img_status3
                        imageSource: "asset:///images/keypads/720/white_circle_small.png"
                        objectName: "img_status33"
                        preferredHeight: _app.icon_keypad_wid_hi() / 4
                        preferredWidth: _app.icon_keypad_wid_hi() / 4
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
        
                    ImageView {
                        id: img_status4
                        objectName: "img_status44"
                        imageSource: "asset:///images/keypads/720/white_circle_small.png"
                        preferredHeight: _app.icon_keypad_wid_hi() / 4
                        preferredWidth: _app.icon_keypad_wid_hi() / 4
                    }
        
                }
                
                // for tall screens eg: z10
                Container {
                    visible: false
                    topPadding: 100
                    bottomPadding: 100
                    objectName: "container_tall_screen2"
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        textStyle.fontSize: FontSize.PointValue
                        textStyle.fontSizeValue: 18.0
                    }
                }

                
                Container {
                    objectName: "container_keypad"
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
        
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageButton {
                        objectName: "img_keypad1"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_1.png"
                        onClicked: {
                            _app.verify_pass(1)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    ImageButton {
                        objectName: "img_keypad2"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_2.png"
                        onClicked: {
                            _app.verify_pass(2)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    ImageButton {
                        objectName: "img_keypad3"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_3.png"
                        onClicked: {
                            _app.verify_pass(3)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                }
        
                Container {
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageButton {
                        objectName: "img_keypad4"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_4.png"
                        onClicked: {
                            _app.verify_pass(4)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
    
                    ImageButton {
                        objectName: "img_keypad5"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_5.png"
                        onClicked: {
                            _app.verify_pass(5)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
    
                    ImageButton {
                        objectName: "img_keypad6"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_6.png"
                        onClicked: {
                            _app.verify_pass(6)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                }
        
                Container {
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageButton {
                        objectName: "img_keypad7"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_7.png"
                        onClicked: {
                            _app.verify_pass(7)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
    
                    ImageButton {
                        objectName: "img_keypad8"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_8.png"
                        onClicked: {
                            _app.verify_pass(8)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
    
                    ImageButton {
                        objectName: "img_keypad9"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_9.png"
                        onClicked: {
                            _app.verify_pass(9)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                }
        
                Container {
                    topPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    
                    }
                    
                    horizontalAlignment: HorizontalAlignment.Center
/*
                    Label {
                        objectName: "lb_pw_help"
                        text: qsTr("Help")
                        textStyle.fontSize: FontSize.PointValue
                        textStyle.fontSizeValue: 9.0
                        verticalAlignment: VerticalAlignment.Center
                        visible: false
                        preferredWidth: 128
                        onTouch: {
                            _app.password_help(0)
                        }
                    }
*/
                    ImageButton {
                        objectName: "img_phone_icon"
                        defaultImageSource: "asset:///images/keypads/720/icon_phone.png"
                        onClicked: {
                            _app.make_emergency_call()
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
                    
                    ImageButton {
                        objectName: "img_keypad0"
                        defaultImageSource: "asset:///images/keypads/720/white_circle_0.png"
                        onClicked: {
                            _app.verify_pass(0)
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }
                    ImageView {
                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                    }
    
                    
                    ImageButton {
                        objectName: "img_password_cancel"
                        defaultImageSource: "asset:///images/keypads/720/white_cancel.png"
                        onClicked: {
                            _app.cancel_createkey()
                        }
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                        
                    }
                    ImageButton {
                        objectName: "img_password_help"
                        visible: false
                        onClicked: {
                            _app.recover_password(0)
                        }
                        defaultImageSource: "asset:///images/keypads/720/white_help.png"
                        preferredHeight: _app.icon_keypad_wid_hi()
                        preferredWidth: _app.icon_keypad_wid_hi()
                    }

/*                    
                    Label {
                        objectName: "lb_cancel"
                        text: qsTr("Cancel")
                        textStyle.fontSize: FontSize.PointValue
                        textStyle.fontSizeValue: 9.0
                        verticalAlignment: VerticalAlignment.Center
                        visible: false
                        preferredWidth: 128
                        onTouch: {
                            _app.cancel_createkey()
                        }
                    }
*/                    
                    
                }
        
        
            }
        }
}

