import bb.cascades 1.4

import bb.cascades.pickers 1.0

Sheet {
    peekEnabled: false
    Page {
        id: page
        property int selected_key
        
        titleBar: TitleBar {
            id: addBar
            title: qsTr("Theme Settings") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            
            dismissAction: ActionItem {
                title: qsTr("Help") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _theme.helpSettings()
                }
            }
           
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _theme.saveSettings()
                }
            
            }
        }
        objectName: "page" // titleBar
        Container {
            topPadding: 10
            SegmentedControl {
                
                leftPadding: 5
                rightPadding: 5
                topPadding: 5
                id: segmented1
                Option {
                    id: option1
                    text: qsTr("General")
                    selected: true
                }
                Option {
                    id: option2
                    text: qsTr("Wallpaper")
                }
                onSelectedIndexChanged: {
                    //var value = segmented1.selectedValue
                    if (selectedIndex == 0)
                    {
                        container_general.setVisible(true)
                        container_wallpaper.setVisible(false)
                    }
                    else
                    if (selectedIndex == 1)
                    {
                        container_general.setVisible(false)
                        container_wallpaper.setVisible(true)
                    }
                }
                objectName: "segament_container"
            }
            Divider {
            
            }
            
            Container {
                visible: true
                id: container_general
                ScrollView {
                    objectName: "scrollview"
                    Container {
                        
                        leftPadding: 10
                        rightPadding: 10
        
                        objectName: "container_main"
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Enable Theme")
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: tb_enable_custom_pic
                                objectName: "tb_enable_custom_pic"
                                horizontalAlignment: HorizontalAlignment.Right
                                onCheckedChanged: {
                                    container_keypad.setVisible(checked)
                                }
                                checked: true
                            }
                        }
                        
                        Divider {
                        
                        } 
                        
                        Container {
                            id: container_keypad    
                            visible: tb_enable_custom_pic.checked
                            
                            Container {
                                layout: DockLayout {
                                }
                                horizontalAlignment: HorizontalAlignment.Fill
                                topPadding: 10.0
                                Label {
                                    text: qsTr("Clear Mode")
                                    horizontalAlignment: HorizontalAlignment.Left
                                }
                                CheckBox {
                                    id: cb_clear_mode
                                    horizontalAlignment: HorizontalAlignment.Right
                                }
                            }
                            
                            DropDown {
                                id: dd_picture_type
                                objectName: "dd_picture_type"
                                title: qsTr("Picture Type")
                                
                                Option {
                                    text: qsTr("Circle")
                                }
                                
                                Option {
                                    text: qsTr("Square")
                                }
                            }

                            DropDown {
                                
                                onSelectedIndexChanged: {
                                    if (selectedIndex > 7)
                                        dd_picture_type.setVisible(true)
                                    else
                                        dd_picture_type.setVisible(false)
                                    _theme.set_theme_color(selectedIndex)
                                }
                                objectName: "dd_color"
                                title: qsTr("Theme")
                                
                                Option {
                                    text: qsTr("Default (White)")
                                    value: "_system_"
                                }
        
                                Option {
                                    text: qsTr("Blue")
                                    value: "_system_"
                                }
                                Option {
                                    text: qsTr("Green")
                                    value: "_system_"
                                }
                                Option {
                                    text: qsTr("Orange")
                                    value: "_system_"
                                }
                                Option {
                                    text: qsTr("Pink")
                                    value: "_system_"
                                }
                                Option {
                                    text: qsTr("Red")
                                    value: "_system_"
                                }
                                Option {
                                    text: qsTr("Yellow")
                                    value: "_system_"
                                }
                                Option {
                                    text: qsTr("Blank")    // 7
                                    value: "_system_"
                                }
                            }
                            
                            
                            Container {
                                      layout: DockLayout {
                                     }
                                // custom picture layer            
                                Container {
                                    layout: StackLayout {
                                    
                                    }
                                
                                horizontalAlignment: HorizontalAlignment.Center
                                // preferredHeight: 1440
                                preferredWidth: 1440 
                                
                                Container {
                                    topPadding: 10
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    
                                    }
                                    
                                    horizontalAlignment: HorizontalAlignment.Center
                                    ImageView {
                                        objectName: "img_custom1"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                    
                                    ImageView {
                                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                    }
                                    ImageView {
                                        objectName: "img_custom2"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                    ImageView {
                                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                    }
                                    ImageView {
                                        objectName: "img_custom3"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                }
                                
                                Container {
                                    topPadding: 20
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    
                                    }
                                    
                                    horizontalAlignment: HorizontalAlignment.Center
                                    ImageView {
                                        objectName: "img_custom4"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                    ImageView {
                                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                    }
                                    
                                    ImageView {
                                        objectName: "img_custom5"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                    ImageView {
                                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                    }
                                    
                                    ImageView {
                                        objectName: "img_custom6"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                }
                                
                                Container {
                                    topPadding: 20
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    
                                    }
                                    
                                    horizontalAlignment: HorizontalAlignment.Center
                                    ImageView {
                                        objectName: "img_custom7"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                    ImageView {
                                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                    }
                                    
                                    ImageView {
                                        objectName: "img_custom8"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                    ImageView {
                                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                    }
                                    
                                    ImageView {
                                        objectName: "img_custom9"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                }
                                
                                Container {
                                    objectName: "container_last_row0"
                                    topPadding: 20
                                    layout: StackLayout {
                                        orientation: LayoutOrientation.LeftToRight
                                    
                                    }
                                    
                                    horizontalAlignment: HorizontalAlignment.Center
                                    ImageButton {
                                        defaultImageSource: "asset:///images/keypads/720/white_circle_filler.png"
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                    ImageView {
                                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                    }
                                    
                                    ImageView {
                                        objectName: "img_custom0"
                                        imageSource: "asset:///images/keypads/720/key_blank.png"
                                        opacity: sl_opacity.immediateValue
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()
                                    }
                                    ImageView {
                                        imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                    }
                                    
                                    
                                    ImageButton {
                                        defaultImageSource: "asset:///images/keypads/720/white_circle_filler.png"
                                        preferredHeight: _theme.icon_keypad_wid_hi()
                                        preferredWidth: _theme.icon_keypad_wid_hi()                            
                                    }
                                }
                            
                            } // picture layer
                            
                            
                            Container {
                                layout: DockLayout {
                                }
                                
                                // keypad layer            
                                Container {
                                    layout: StackLayout {
                                    
                                    }
                                    
                                    objectName: "container_main"
                                    // background: Color.Black
                                    horizontalAlignment: HorizontalAlignment.Center
                                    //preferredHeight: 1440
                                    preferredWidth: 1440 
                                    
                                    
                                    Container {
                                        topPadding: 10
                                        layout: StackLayout {
                                            orientation: LayoutOrientation.LeftToRight
                                        
                                        }
                                        
                                        horizontalAlignment: HorizontalAlignment.Center
                                        ImageView {
                                            objectName: "img_key1"
                                            imageSource: "asset:///images/keypads/720/white_circle_1.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(1)
                                                    return;
                                                }
                                                 page.selected_key = 1
                                                 filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                        
                                        
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                        }
                                        ImageView {
                                            objectName: "img_key2"
                                            imageSource: "asset:///images/keypads/720/white_circle_2.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(2)
                                                    return;
                                                }
                                                page.selected_key = 2
                                                filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                        
                                        
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                        }
                                        ImageView {
                                            objectName: "img_key3"
                                            imageSource: "asset:///images/keypads/720/white_circle_3.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(3)
                                                    return;
                                                }
                                                page.selected_key = 3
                                                filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                    
                                    
                                    }
                                    
                                    Container {
                                        topPadding: 20
                                        layout: StackLayout {
                                            orientation: LayoutOrientation.LeftToRight
                                        
                                        }
                                        
                                        horizontalAlignment: HorizontalAlignment.Center
                                        ImageView {
                                            objectName: "img_key4"
                                            imageSource: "asset:///images/keypads/720/white_circle_4.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(4)
                                                    return;
                                                }
                                                page.selected_key = 4
                                                filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                        }
                                        
                                        ImageView {
                                            objectName: "img_key5"
                                            imageSource: "asset:///images/keypads/720/white_circle_5.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(5)
                                                    return;
                                                }
                                                page.selected_key = 5
                                                filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                        }
                                        
                                        ImageView {
                                            objectName: "img_key6"
                                            imageSource: "asset:///images/keypads/720/white_circle_6.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(6)
                                                    return;
                                                }
                                                page.selected_key = 6
                                                filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                    }
                                    
                                    Container {
                                        topPadding: 20
                                        layout: StackLayout {
                                            orientation: LayoutOrientation.LeftToRight
                                        
                                        }
                                        
                                        horizontalAlignment: HorizontalAlignment.Center
                                        ImageView {
                                            objectName: "img_key7"
                                            imageSource: "asset:///images/keypads/720/white_circle_7.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(7)
                                                    return;
                                                }
                                                page.selected_key = 7
                                                filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                        }
                                        
                                        ImageView {
                                            objectName: "img_key8"
                                            imageSource: "asset:///images/keypads/720/white_circle_8.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(8)
                                                    return;
                                                }
                                                page.selected_key = 8
                                                filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                        }
                                        
                                        ImageView {
                                            objectName: "img_key9"
                                            imageSource: "asset:///images/keypads/720/white_circle_9.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(9)
                                                    return;
                                                }
                                                page.selected_key = 9
                                                filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                    }
                                    
                                    Container {
                                        objectName: "container_last_row"
                                        topPadding: 20
                                        layout: StackLayout {
                                            orientation: LayoutOrientation.LeftToRight
                                        
                                        }
                                        
                                        horizontalAlignment: HorizontalAlignment.Center
                                        
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_filler.png"
                                        }
                                        
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                        }
                                        
                                        ImageView {
                                            objectName: "img_key0"
                                            imageSource: "asset:///images/keypads/720/white_circle_0.png"
                                            onTouch: {
                                                if (cb_clear_mode.checked)
                                                {
                                                    _theme.do_clearn_button(0)
                                                    return;
                                                }
                                                page.selected_key = 0
                                                filePicker.open()
                                            }
                                            preferredHeight: _theme.icon_keypad_wid_hi()
                                            preferredWidth: _theme.icon_keypad_wid_hi()
                                        }
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_small_filler.png"
                                        }
                                        ImageView {
                                            imageSource: "asset:///images/keypads/720/white_circle_filler.png"
                                        }
                                    }
                                }
                            }
                            
                         }
                         Container {
                             objectName: "container_opacity"
                             Header {
                                 title: qsTr("Opacity")
                             }   
                             Slider {
                                 id: sl_opacity
                                 value: 0.8
                                 objectName: "sl_opacity"
                            }
                         }
                            
                            
                        }
                    }
                }
            } // general container
            
            Container {
                visible: false
                id: container_wallpaper
                ScrollView {
                    objectName: "scrollview"
                    Container {
                        
                        leftPadding: 10
                        rightPadding: 10
    
                        Container {
                            layout: DockLayout {
                            }
                            horizontalAlignment: HorizontalAlignment.Fill
                            topPadding: 10.0
                            Label {
                                text: qsTr("Use custom wallpaper")
                                horizontalAlignment: HorizontalAlignment.Left
                            }
                            ToggleButton {
                                id: tb_use_wallpaper
                                objectName: "tb_use_wallpaper"
                                horizontalAlignment: HorizontalAlignment.Right
                                onCheckedChanged: {
                                    container_custom_pic.setVisible(checked)
                                }
                                checked: false
                            }
                        }
                        Divider {
                            
                        }

    
                        Container {
                            visible: tb_use_wallpaper.checked
                            id: container_custom_pic
                            leftPadding: 10
                            rightPadding: 10
                            topPadding: 10
                            layout: StackLayout {
                                orientation: LayoutOrientation.TopToBottom
                            
                            }
                            verticalAlignment: VerticalAlignment.Center
                            horizontalAlignment: HorizontalAlignment.Center
                            
                            Button {
                                horizontalAlignment: HorizontalAlignment.Center
                                id: select_button2
                                text: qsTr("Browse for a picture") + Retranslate.onLanguageChanged	            
                                onClicked: {
                                    wallpaerPicker.open();
                                }
                                objectName: "folder_button"
                            
                            }
                            
                            
                            Container {
                                verticalAlignment: VerticalAlignment.Center
                                horizontalAlignment: HorizontalAlignment.Center
                                ImageView {
                                    id: img_wallpaper
                                    objectName: "img_lockscreen"
                                    preferredWidth: 320
                                    preferredHeight: 320
                                    scalingMethod: ScalingMethod.AspectFit
                                    verticalAlignment: VerticalAlignment.Center
                                
                                }
                            }
                            
                            Container {
                                leftPadding: 10
                                layout: StackLayout {
                                
                                }
                                verticalAlignment: VerticalAlignment.Center
                                horizontalAlignment: HorizontalAlignment.Fill
                                
                                topPadding: 10.0
                                visible: false
                                TextField {
                                    id: tf_wallpaper
                                    horizontalAlignment: HorizontalAlignment.Fill
                                    text: " "
                                    objectName: "tf_wallpaper"
                                    enabled: false
                                    visible: false
                                }
                            
                            }
                        
                        } // custom lock screen pic
                    }
                
                }

            } // wallpaper container
            
        } // container
    }
    
    attachedObjects: [
        
        FilePicker {
            id: filePicker
            type: FileType.Picture
            filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
            title: qsTr("Select a Picture.") + Retranslate.onLanguageChanged	            
            directories : [ "/accounts/1000/shared/camera"]
            onFileSelected: {
                _theme.set_custom_picture(selectedFiles, page.selected_key)
            }
            viewMode: FilePickerViewMode.GridView
        },
        
        FilePicker {
            id: wallpaerPicker
            type: FileType.Picture
            filter: [ "*.jpg", "*.jpeg","*.png", "*.gif", "*.bmp" ]
            title: qsTr("Select a Picture.") + Retranslate.onLanguageChanged	            
            directories : [ "/accounts/1000/shared/camera"]
            onFileSelected: {
                _theme.show_wallpaper(selectedFiles, true)
                tf_wallpaper.setText(selectedFiles)
            }
            viewMode: FilePickerViewMode.GridView
        }
            
            
    ]

}

